Index: ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/Locale_.vue	(revision bf36a9a71121b623adc617de6466dc230aebd82c)
@@ -104,6 +104,34 @@
             <div class="mb-3">
               <p>{{ locale.description }}</p>
-              <p><strong>Working Hours:</strong> {{ locale.workingHours }}</p>
-              <p><strong>Contact:</strong> {{ locale.contact }}</p>
+
+
+              <!-- Working Hours -->
+              <div class="mb-3">
+                <strong>Working Hours:</strong>
+                <ul class="mb-2">
+                  <li v-for="(wh, index) in locale.workingHours" :key="index">
+                    {{ wh.dayOfWeek }}: {{ wh.openTime }} - {{ wh.closeTime }}
+                  </li>
+                </ul>
+              </div>
+
+              <!-- Contact Info -->
+              <div class="mb-3">
+                <strong>Contact:</strong>
+                <ul>
+                  <li v-if="locale.contact.phone"><strong>Phone:</strong> {{ locale.contact.phone }}</li>
+                  <li v-if="locale.contact.email"><strong>Email:</strong> {{ locale.contact.email }}</li>
+                  <li v-if="Object.keys(locale.contact.socialLinks || {}).length">
+                    <strong>Social:</strong>
+                    <ul>
+                      <li v-for="(link, name) in locale.contact.socialLinks" :key="name">
+                        {{ name }}: <a :href="link" target="_blank">{{ link }}</a>
+                      </li>
+                    </ul>
+                  </li>
+                </ul>
+              </div>
+
+
               <p>
                 <strong>Menu:</strong>
@@ -126,17 +154,5 @@
             </div>
 
-            <!-- Events -->
-<!--            <div class="mb-4">
-              <h6 class="fw-bold">Events</h6>
-              <div class="d-flex flex-wrap gap-2">
-                <span
-                  v-for="event in locale.events"
-                  :key="event"
-                  class="badge bg-success"
-                >
-                  {{ event }}
-                </span>
-              </div>
-            </div>-->
+
             <h6 class="fw-bold">Events</h6>
             <div class="mb-3 row">
Index: ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue
===================================================================
--- ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue	(revision ef41689e866fa7f9ac5b235ab5620f05d907c526)
+++ ReserveNGo-frontend/src/components/Project/Restaurant/home_.vue	(revision bf36a9a71121b623adc617de6466dc230aebd82c)
@@ -3,5 +3,5 @@
 import SearchFilterPanel from '@/components/Project/Restaurant/search_filter_panel.vue'
 import Events_carousel from '@/components/Project/Restaurant/events_carousel.vue'
-import {transformArray} from '@/mixins/utilFunctions.js'
+import { transformArray } from '@/mixins/utilFunctions.js'
 
 export default {
@@ -19,17 +19,13 @@
 
   beforeMount() {
-    //Events ne bi trebalo da bara authorisation. !!!!
-    fetch('http://localhost:8080/api/events',
-      {
-        method: 'GET',
-        headers: {
-
-          //Authorization: this.userStore_.getToken,
-
-        }
+    fetch('http://localhost:8080/api/events', {
+      method: 'GET',
+    })
+      .then(res => res.json())
+      .then(data => {
+        this.allEvents = transformArray(data.events, 3)
+        console.log("Currently Reading here", this.allEvents)
       })
-      .then(res => res.json())
-      .then(data => { this.allEvents = transformArray(data.events, 3); console.log("Currently Reading here", this.allEvents) })
-      .catch(error => console.log("Probobly failed fetching events because of login",error))
+      .catch(error => console.log("Probably failed fetching events due to login", error))
   }
 }
@@ -39,10 +35,11 @@
   <div class="container-fluid px-0">
     <div class="row justify-content-center">
-      <!-- Sticky Search and Filter Bar outside scroll area -->
+      <!-- Sticky Search and Filter Bar -->
       <SearchFilterPanel />
 
+      <!-- Carousel -->
       <Events_carousel :all-events="allEvents" />
 
-      <!-- Scrollable List Below Sticky Filter Bar -->
+      <!-- Scrollable Local Listings -->
       <div class="col-12 col-md-8 listing-column">
         <Locale_listing_container />
@@ -58,6 +55,7 @@
 }
 
+/* ✅ SCROLL FIX APPLIED HERE */
 .listing-column {
-  height: calc(100vh - 80px - 96px); /* 80px for navbar + 96px for search bar */
+  height: calc(100vh - 80px - 96px - 250px); /* Adjust 250px based on your carousel height */
   overflow-y: auto;
   background-color: #f3f5f8;
